Bug 29722 - Chromium Port - DEPS file & webkit.gyp
: Chromium Port - DEPS file & webkit.gyp
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Misc.
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To: Yaar Schnitman
:
Depends on:
Blocks: 28396 29749
  Show dependency treegraph
 
Reported: 2009-09-24 14:42 PDT by Yaar Schnitman
Modified: 2009-09-28 13:31 PDT (History)
5 users (show)

See Also:


Attachments
patch (11.74 KB, patch)
2009-09-24 15:56 PDT, Yaar Schnitman
levin: review-
Details | Formatted Diff | Diff
updated patch (11.72 KB, patch)
2009-09-25 15:14 PDT, Yaar Schnitman
levin: review+
commit-queue: commit‑queue-
Details | Formatted Diff | Diff
Fixed build rejection problems (11.91 KB, patch)
2009-09-28 11:41 PDT, Yaar Schnitman
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yaar Schnitman 2009-09-24 14:42:18 PDT
1. DEPS file describing the chromium port's dependencies has been created in WebKit/Chromium.
2. WebKit.gyp, currently a thin wrapper around webcore and in the future the target of the webkit api, has been created in WebKit/Chromium.
3. JavaScriptCore.gyp & WebCore.gyp been made to recognize they are built locally, and look for dependencies and resources under webkit/chromium rather than src.

Next steps:
* make "update-webkit --chromium" fetch the dependencies in DEPS by using gclient and execute the gyp system.
* make "build-webkit --chromium" build the product of gyp.
Comment 1 Yaar Schnitman 2009-09-24 15:56:52 PDT
Created attachment 40089 [details]
patch
Comment 2 David Levin 2009-09-25 14:50:42 PDT
Comment on attachment 40089 [details]
patch

Just a few minor nits to address or respond to.


> diff --git a/WebKit/ChangeLog b/WebKit/ChangeLog
> +2009-09-24  Yaar Schnitman  <yaar@chromium.org>
> +
> +        Reviewed by NOBODY (OOPS!).
> +
> +        https://bugs.webkit.org/show_bug.cgi?id=29722
> +
> +        * chromium/DEPS: Describes the chromium port's dependencies and
> +          is used by gclient to fetch them.
> +        * chromium/webkit.gyp: Currently a thin wrapper around webcore but in
typo: "in" it?
> +          soon will build the webkit api.

What do you mean by thin wrapper about webcore?  Do you mean that it only builds webcore?


> diff --git a/WebKit/chromium/DEPS b/WebKit/chromium/DEPS

> +
> +vars = {
> +  'chromium_svn': 'http://src.chromium.org/svn/trunk/src',
> +  'chromium_deps_svn': 'http://src.chromium.org/svn/trunk/deps/third_party',
> +
> +  # 

Is this suppose to be a comment?


As discussed I have concerns about the repeated revision numbers here but it sounds like this is on your clean up list real soon now.

> diff --git a/WebKit/chromium/webkit.gyp b/WebKit/chromium/webkit.gyp
> +{
> +  'targets': [
> +    {
> +      # This target is a thin wrapper around webcore, but it will
Consider "This target only build webcore right now, but it will"
Comment 3 Yaar Schnitman 2009-09-25 15:14:00 PDT
Created attachment 40149 [details]
updated patch

Thanks for the feedback. I incorporated it in. I also updated some revision numbers in DEPS to catch up with lkgr chromium.
Comment 4 WebKit Commit Bot 2009-09-25 19:35:42 PDT
Comment on attachment 40149 [details]
updated patch

Rejecting patch 40149 from commit-queue.

Patch https://bugs.webkit.org/attachment.cgi?id=40149 from bug 29722 failed to download and apply.
Comment 5 Yaar Schnitman 2009-09-28 09:48:49 PDT
Comment on attachment 40149 [details]
updated patch

Trying to apply patch again (I suspect it was rejected due to flakiness).
Comment 6 WebKit Commit Bot 2009-09-28 09:53:01 PDT
Comment on attachment 40149 [details]
updated patch

Rejecting patch 40149 from commit-queue.

yaar@chromium.org does not have committer permissions according to http://trac.webkit.org/browser/trunk/WebKitTools/Scripts/modules/committers.py.
Comment 7 Yaar Schnitman 2009-09-28 09:56:09 PDT
Comment on attachment 40149 [details]
updated patch

Oops, I guess I have to do ? rather than +.
Comment 8 WebKit Commit Bot 2009-09-28 10:23:46 PDT
Comment on attachment 40149 [details]
updated patch

Rejecting patch 40149 from commit-queue.

Patch https://bugs.webkit.org/attachment.cgi?id=40149 from bug 29722 failed to download and apply.
Comment 9 Yaar Schnitman 2009-09-28 11:41:28 PDT
Created attachment 40248 [details]
Fixed build rejection problems

Previous patch was already r+, cq+, but in the meantime patch got rotten. This is patch just solves the merge problems.
Comment 10 Dimitri Glazkov (Google) 2009-09-28 13:04:00 PDT
Comment on attachment 40248 [details]
Fixed build rejection problems

adding back to cq, carrying over levin's r+.
Comment 11 Eric Seidel 2009-09-28 13:23:20 PDT
patching file WebCore/WebCore.gyp/WebCore.gyp
Hunk #1 FAILED at 35.
Hunk #2 succeeded at 419 (offset 4 lines).
1 out of 2 hunks FAILED -- saving rejects to file WebCore/WebCore.gyp/WebCore.gyp.rej

was the original rejection.
Comment 12 WebKit Commit Bot 2009-09-28 13:31:05 PDT
Comment on attachment 40248 [details]
Fixed build rejection problems

Clearing flags on attachment: 40248

Committed r48827: <http://trac.webkit.org/changeset/48827>
Comment 13 WebKit Commit Bot 2009-09-28 13:31:10 PDT
All reviewed patches have been landed.  Closing bug.